Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000311Frama-CKernelpublic2009-11-02 15:502010-04-13 15:33
Reportervirgile 
Assigned Tovirgile 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C GIT, precise the release id 
Target VersionFixed in VersionFrama-C Boron-20100401 
Summary0000311: switch and case expressions must be integer
Descriptionfollowing code is happily parsed by frama-c (who at least casts the "a" in the switch to int). It should fails with a type error
- on the switch
- on the case (parameter must be an integer constant according to norm)

float v;

static void fun(void)
{
        switch ("a")
        {
            case "a":
            if (v > fabs(1))
            {
            }
            break;
      }
}
TagsNo tags attached.
Attached Files

- Relationships
child of 0000199closedcmarche Jessie internal error 

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2009-11-02 15:50 virgile New Issue
2009-11-02 15:50 virgile Status new => assigned
2009-11-02 15:50 virgile Assigned To => virgile
2009-11-02 15:50 virgile Relationship added child of 0000199
2009-11-04 10:02 svn Checkin
2009-11-04 10:02 svn Status assigned => resolved
2009-11-04 10:02 svn Resolution open => fixed
2010-04-13 15:30 signoles Status resolved => new
2010-04-13 15:31 signoles Status new => closed
2010-04-13 15:33 signoles Fixed in Version => Frama-C Boron


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker